Search found 10 matches

by cs19
2014-11-25 23:32
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Re: Compile filezilla 3.9.0.6 under Mac osx

I finally got to try it again. It works! Thank you so much! :D :lol:
by cs19
2014-11-12 23:59
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Re: Compile filezilla 3.9.0.6 under Mac osx

The modification worked! However, I am now running into problem with gnutls. The error message is configure: error: libgnutls 3.1.12 greater was not found. You can get it from http://gnutls.org/ I installed gnutls 3.2.0. I already tried PKG_CONFIG_PATH="$HOME/filezilla/gnutls/lib/pkgconfig:$HOME/fil...
by cs19
2014-11-12 01:57
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Re: Compile filezilla 3.9.0.6 under Mac osx

I updated xcode to 6.1, but it still could not compile. :cry: Any other suggestions?
by cs19
2014-11-11 20:06
Forum: FileZilla and FileZilla Server Development
Topic: Hierarchy and structure of source code
Replies: 1
Views: 2420

Hierarchy and structure of source code

Hello, I have been a loyal user of FileZilla for a long time. Now I have downloaded the source code and have been trying to understand how the code works. However, because of the lack of comments, I have not yet achieved a satisfactory understanding yet. Do you have some documentations on how each c...
by cs19
2014-11-11 19:01
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Re: Compile filezilla 3.9.0.6 under Mac osx

I tried setting these parameters and wxWidget no longer compile... The error is checking if C++ compiler (g++ -arch i386 -mmacosx-version-min=10.7 -stdlib=libc++ -mmacosx-version-min=10.5) works with SDK/version options... configure: error: in `/Users/lexy0922/Filezilla_project/wxWidgets-3.0.2/build...
by cs19
2014-11-11 15:27
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Re: Compile filezilla 3.9.0.6 under Mac osx

I also tried the newest version of wxWidgets (3.0.2) and it gave me the same error.
by cs19
2014-11-11 15:26
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Re: Compile filezilla 3.9.0.6 under Mac osx

I downloaded wxWidgets-3.0.1.tar.bz2 and used command
../configure --disable-compat26 --enable-unicode --prefix $HOME/filezilla/wxMac --enable-printfposparam && nice make && make install
to compile.
by cs19
2014-11-11 14:49
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Re: Compile filezilla 3.9.0.6 under Mac osx

Thank you for the timely response. Here is the config.log: This file contains any messages produced by compilers while running configure, to aid debugging if configure makes a mistake. It was created by FileZilla configure 3.9.0.6, which was generated by GNU Autoconf 2.69. Invocation command line wa...
by cs19
2014-11-11 06:07
Forum: FileZilla and FileZilla Server Development
Topic: Compile filezilla 3.9.0.6 under Mac osx
Replies: 15
Views: 7402

Compile filezilla 3.9.0.6 under Mac osx

Hi, I have been trying to compile the newest version of filezilla on Mac but I kept getting this error about wxWidgets. The error is: checking for wxWidgets version >= 3.0.1 (--unicode=yes --universal=no)... yes (version 3.0.1) checking for wxWidgets static library... no checking positional printf a...